Page MenuHomePhabricator

wikimediafoundation.org's language selector is confusing to most visitors who don't have accounts there
Closed, DeclinedPublic

Description

When you click the "Aあ" icon on the top-right corner of https://wikimediafoundation.org/wiki/Home, you will see this message.

Display language: English (same as content)
Log in to select a different language for menus.

However, this instruction will not work for most visitors who cannot log in there.

It appears that this is ultimately dependent to T58464. In the meantime, there could be several workarounds:

  1. Replace "Log in to select a different language for menus" with "We are sorry, language selection capability is currently disabled" or something to the effect. Or perhaps hide the "Aあ" icon. Any logged-in user of wikimediafoundation.org with MediaWiki-namespace editing privilege can do this.
  2. Adopt the JavaScript hack of Commons mentioned in T161517. (The main concern against the JS was scalability which I believe less of an issue for wikimediafoundation.org.) Any logged-in user of wikimediafoundation.org with MediaWiki-namespace editing privilege and JS knowledge can do this.

I'd suggest that #1 should be done quickly. And then it can be replaced with #2 or hopefully ULS being turned on for anonymous users, whichever done earlier.


Question for Operations (by @Amire80 below): is it okay to enable the Universal Language Selector extension for anonymous users on wikimediafoundation.org? If yes that seems like the best solution.

Event Timeline

whym created this task.Jun 1 2017, 1:34 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 1 2017, 1:34 PM
Amire80 added a subscriber: Amire80.Jun 1 2017, 1:42 PM

I guess that the traffic to wikimediafoundation.org is relatively low, and anonymous selection can be enabled. There's a long discussion about enabling it on Commons, where the traffic is higher and there are concerns about caching issues, but it shouldn't be a problem on wikimediafoundation.org. If ops don't object, it should be done.

whym updated the task description. (Show Details)

In the meantime, there could be several workarounds

Any workaround requires sysop intervention, but wikimediafoundation.org is abandoned and unmaintained since the 2013 foundationwiki coup.

I don't see how this is related to Operations

This may be related to the Operations team because it would be a good idea to get their confirmation for this.

(Being explicit is welcome.) T166782#3307457 seems to be a request to Ops to provide input on caching, indeed.

AFAIK there isn't any need for input, just for action. https://phabricator.wikimedia.org/T161517#3153178 and surrounding comments further clarified what needs to be done operations-side (yes, having many tasks across which to scatter information probably doesn't help, but so is life).

whym updated the task description. (Show Details)Jun 6 2017, 3:24 AM
BBlack added a subscriber: BBlack.Jun 26 2017, 7:18 PM

I guess that the traffic to wikimediafoundation.org is relatively low, and anonymous selection can be enabled. There's a long discussion about enabling it on Commons, where the traffic is higher and there are concerns about caching issues, but it shouldn't be a problem on wikimediafoundation.org. If ops don't object, it should be done.

I think the plan outlined at the top seems reasonable (1 then 2 for now). But I don't think the low traffic on foundationwiki entirely obviates the caching concerns. We can get by ignoring it for a while, probably. One of these URLs could still become hot via some blog link or some such and we're going to be annoyed that if it's not cacheable. It would be better to ensure uselang links are cacheable first, as noted in the linked task about commons, if possible.

fgiunchedi triaged this task as Normal priority.Jul 21 2017, 10:41 AM
fgiunchedi added a project: Traffic.
ema moved this task from Triage to General on the Traffic board.Jul 21 2017, 11:27 AM
ema moved this task from General to Caching on the Traffic board.
Varnent closed this task as Declined.Jul 31 2018, 6:21 PM
Varnent added a subscriber: Varnent.

No longer applies to new site.